Trouble shooting Quick Test Professional Adapter

  1. Issue: Exception in thread "main" java.lang.UnsupportedClassVersionError

    Cause: When one sets the Java Home having version less than 1.5.0

    Resolution: Set a Java Home with version 1.5.0 or greater in <Adapter Install Home>\bin\launchQTPAdapterConsole.bat as follows:
    set JAVA_HOME=<Directory containing Java 1.5.0 or greater>

  2. Issue: Import takes too long to complete

    Cause: The adapter may be processing other tasks

    Resolution: Being single threaded, the adapter executes one task at a time. Please check in the Adapter Console if the adapter is already performing any other execution or import task. If yes, the adapter will process the requested import task when it is done with all the other tasks in queue (sent to the adapter prior to this import task).

Feedback